> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar chave

> Obtem informacoes detalhadas sobre uma chave PIX, incluindo dados do proprietario.



## OpenAPI

````yaml pt/openapi/v3-current/pix.yaml GET /v1/entries/{entryId}/details
openapi: 3.0.3
info:
  title: Plugin BR Pix Direct - API Completa
  description: >
    API completa para o sistema de pagamentos instantaneos PIX brasileiro,
    incluindo

    operacoes de dicionario de chaves PIX, geracao/decodificacao de QR codes,
    transacoes e

    limites de transacao.
  version: 1.0.0
servers:
  - url: https://plugin-pix-direct.api.lerian.net
  - url: https://plugin-pix-direct-qrcode.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/entries/{entryId}/details:
    get:
      tags:
        - API de Chaves DICT
      summary: Consultar chave
      description: >-
        Obtem informacoes detalhadas sobre uma chave PIX, incluindo dados do
        proprietario.
      parameters:
        - name: entryId
          in: path
          required: true
          description: Valor da chave PIX.
          schema:
            type: string
          example: '12345678901'
        - $ref: '#/components/parameters/AccountIdQuery'
      responses:
        '200':
          description: Detalhes da chave PIX recuperados com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PixKeyDetails'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    AccountIdQuery:
      name: account_id
      in: query
      required: false
      description: Identificador da conta.
      schema:
        type: string
        format: uuid
      example: 019c96a0-0a98-7287-9a31-786e0809c769
  schemas:
    PixKeyDetails:
      type: object
      required:
        - key
        - endToEndId
        - payee
      properties:
        key:
          type: string
          description: Valor da chave PIX.
          example: '+5511987654321'
        endToEndId:
          type: string
          description: Identificador de transacao ponta a ponta.
          example: E1234567820230615123456789012345
        payee:
          $ref: '#/components/schemas/BankData'
    BankData:
      type: object
      description: Informacoes da conta bancaria.
      properties:
        accountId:
          type: string
          format: uuid
          description: Identificador da conta.
          example: 019c96a0-0a98-7287-9a31-786e0809c769
        bankId:
          type: string
          pattern: ^\d{8}$
          description: Codigo ISPB do banco (8 digitos).
          example: '12345678'
        document:
          type: string
          pattern: ^\d{11}$|^\d{14}$
          description: CPF (11 digitos) ou CNPJ (14 digitos).
          example: '12345678901'
        name:
          type: string
          minLength: 1
          maxLength: 200
          description: Nome do titular da conta.
          example: João da Silva
        branch:
          type: string
          pattern: ^\d{4}$
          description: Codigo da agencia (4 digitos).
          example: '0001'
        accountType:
          $ref: '#/components/schemas/AccountTypeEnum'
        bankAccountType:
          $ref: '#/components/schemas/AccountTypeEnum'
        accountNumber:
          type: string
          pattern: ^\d{1,13}$
          description: Numero da conta (ate 13 digitos).
          example: '123456'
        accountDigit:
          type: string
          pattern: ^\d{1}$
          description: Digito verificador da conta (1 digito).
          example: '7'
        key:
          type: string
          description: Chave PIX (telefone, email, CPF, CNPJ ou EVP).
          example: '+5511987654321'
        keyType:
          $ref: '#/components/schemas/KeyTypeEnum'
      required:
        - bankId
        - document
        - name
        - branch
        - accountType
        - accountNumber
        - accountDigit
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: Codigo do erro
        message:
          type: string
          description: Mensagem de erro
        details:
          type: array
          items:
            type: string
          description: Detalhes adicionais do erro
    AccountTypeEnum:
      type: integer
      description: >
        Identificador do tipo de conta bancaria. Codigo numerico indicando o
        tipo de conta bancaria conforme padroes bancarios brasileiros.


        **Valores validos:**

        - `0` = CURRENT_ACCOUNT (Conta Corrente)

        - `1` = SALARY_ACCOUNT (Conta Salario)

        - `2` = SAVINGS_ACCOUNT (Conta Poupanca)

        - `3` = PAYMENT_ACCOUNT (Conta de Pagamento)
      enum:
        - 0
        - 1
        - 2
        - 3
      x-enum-varnames:
        - CURRENT_ACCOUNT
        - SALARY_ACCOUNT
        - SAVINGS_ACCOUNT
        - PAYMENT_ACCOUNT
      example: 0
    KeyTypeEnum:
      type: integer
      description: >
        Identificador do tipo de chave PIX. Codigos numericos que especificam o
        tipo de chave PIX sendo utilizada.


        **Valores validos:**

        - `0` = CPF (CPF de pessoa fisica com 11 digitos, ex.: "12345678901")

        - `1` = CNPJ (CNPJ de pessoa juridica com 14 digitos, ex.:
        "12345678000190")

        - `2` = EMAIL (Endereco de email, ex.: "user@example.com")

        - `3` = PHONE (Numero de telefone em formato internacional, ex.:
        "+5511987654321")

        - `4` = EVP (Chave UUID aleatoria gerada automaticamente, ex.:
        "123e4567-e89b-12d3-a456-426614174000")
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
      x-enum-varnames:
        - CPF
        - CNPJ
        - EMAIL
        - PHONE
        - EVP
      example: 3
  responses:
    Unauthorized:
      description: Nao Autorizado - Autenticacao invalida ou ausente
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missing_token:
              summary: Missing authentication token
              value:
                code: MISSING_TOKEN
                message: Authorization header is required
                details: []
            invalid_token:
              summary: Invalid token
              value:
                code: INVALID_TOKEN
                message: Invalid or expired access token
                details: []
            expired_token:
              summary: Expired token
              value:
                code: TOKEN_EXPIRED
                message: Access token has expired. Please obtain a new token.
                details: []
    NotFound:
      description: Nao Encontrado - Recurso nao existe
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            pix_key_not_found:
              summary: Pix key not found
              value:
                code: PIX_KEY_NOT_FOUND
                message: PIX key does not exist or is not registered
                details: []
            account_not_found:
              summary: Account not found
              value:
                code: ACCOUNT_NOT_FOUND
                message: Account with specified ID does not exist
                details: []
            transaction_not_found:
              summary: Transaction not found
              value:
                code: TRANSACTION_NOT_FOUND
                message: Transaction not found
                details: []
    InternalServerError:
      description: Erro Interno do Servidor
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            generic_error:
              summary: Generic internal error
              value:
                code: INTERNAL_ERROR
                message: An internal error occurred. Please try again later.
                details: []
            database_error:
              summary: Database error
              value:
                code: DATABASE_ERROR
                message: Database operation failed
                details: []
            external_service_error:
              summary: External service error
              value:
                code: EXTERNAL_SERVICE_ERROR
                message: External service (JD PIX) is temporarily unavailable
                details: []
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Autenticacao por token JWT Bearer. Obtenha o token no endpoint
        `/v1/login/oauth/access_token`

        usando credenciais do cliente (clientId e clientSecret).


        Inclua o token no header Authorization:

        `Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...`


        O token expira apos 3600 segundos (1 hora).

````